void printc(char val);
void printstr(char *str);

int main()
{
  char *array[3] = {
    "abc",
    "ABCDEFG",
    "0123456789",
  };
  int i, j;
  char *p;

  for (i = 0; i < sizeof(array) / sizeof(array[0]); i++) {
    printstr(array[i]);
  }

  for (i = 0; i < sizeof(array) / sizeof(array[0]); i++) {
    p = array[i];
    while (*p)
      printc(*(p++));
  }

  for (i = 0; i < sizeof(array) / sizeof(array[0]); i++) {
    for (j = 0; array[i][j]; j++)
      printc(array[i][j]);
  }

  return 0;
}
